Subject: Re: Attempt to upgrade kicad to 8.0.2

From: Peter Polidoro <[email-masked]>
Date: Thu, 16 May 2024 15:07:40 -0400

Thank you, I added libglvnd and now it compiles. I submitted a new 
patch.

There still seems to be an issue with OpenGL, however. The 3D 
viewer does not seem to work and opening windows like the 
footprint editor can trigger a window saying it cannot use OpenGL 
so it is falling back to software rendering. I have tried changing 
compiler options and moving some dependencies between 
native-inputs and inputs, but nothing seems to fix the problem.

Vinicius Monego <[email-masked]> writes:

> Hi,
>
> Em qua, 2024-05-15 às 14:23 -0400, Peter Polidoro escreveu:
>> I am running into an error when attempting to update kicad to 
>> version 8:
>> 
>> CMake Error at 
>> /gnu/store/gl26kr5v6ch5lc3ignly61kb224drijc-cmake-minimal-
>> 3.24.2/share/cmake-
>> 3.24/Modules/FindPackageHandleStandardArgs.cmake:230 
>> (message): 
>>   Could NOT find OpenGL (missing: OPENGL_opengl_LIBRARY)
>> 
>> I am not sure why CMake is having trouble finding OpenGL since 
>> mesa is still listed as an input to the kicad package.
>> 
>> I tried various configure-flags based on the new kicad 
>> documentation and added some inputs that now may or may not be 
>> needed for the latest version, but I could not get past this CMake 
>> error.
>> 
>> Does anyone have any ideas for how else I can get kicad version 8 to
>> compile? Thanks!
>> 
>
> Try adding libglvnd to the inputs.